# StellarisMods

Source code repository for my Stellaris mods.

## [Archaeo Jump Drive](https://steamcommunity.com/sharedfiles/filedetails/?id=2974656285)

This mod adds a new Jump Drive, gated behind the __Archaeoengineers__ Ascension Perk.

Upon choosing the __Archaeoengineers__ Ascension Perk, an event will fire giving the player the __Ancient Jump Calculations__ technology. If the player already has the __Jump Drive__ technology, then a new rare/dangerous society technology will unlock called __Archaeo Jump Drive__. Once it has been researched, the player will unlock the __Archaeo Jump Drive__ ship component to use on their ships. It is meant to be superior to the Psi Jump Drive, however as of writing the balancing is not final yet and suggestions are welcome.

### Compatibility

This mod overwrites the vanilla __Archaeoengineers__ Ascension Perk and the __Psi Jump Drive__.

### Localization

This mod supports the following languages:

| __Language__  | __Contributor__ |
| ------------- | ------------- |
| English  | Seaswimmer  |
| Brazilian Portuguese  | FiniteSkylines  |
| French | Arkyd11 |

If you'd like to add more, reach out to me on [Discord](https://discord.com/invite/DCHChT5mM5) or submit a [pull request](https://www.coastalcommits.com/Seaswimmer/StellarisMods/pulls).

## [Better Wonder Sphere](https://steamcommunity.com/sharedfiles/filedetails/?id=3267735263)

In the Vanilla game, the Dyson Sphere loses the ability to produce energy credits when you upgrade it to a Wonder Sphere. This mod changes that by making the Wonder Sphere produce the same amount of Energy Credits as the fully upgraded Dyson Sphere.  
This makes no sense in the context of the [Kaleidoscope situation](https://stellaris.paradoxwikis.com/Situations#The_Kaleidoscope), which is how you acquire a Wonder Sphere, but having a 500 unity and 30% more amenities is a bit underwhelming for a megastructure that previously produced 4,000 Energy Credits, in my opinion.

### Compatibility

This mod overwrites the ``dyson_sphere_disco_restored`` and ``dyson_sphere_disco`` megastructures.

__You need the [Nemesis](https://store.steampowered.com/app/1522090/Stellaris_Nemesis/) DLC enabled for this mod to do anything!__

## [Big Yards Forked](https://steamcommunity.com/sharedfiles/filedetails/?id=2976268363)

> Titan Assembly Yards and Colossal Assembly Yards take up starbase building slots and have very high energy costs to maintain, but they don't have a constant benefit to justify keeping them around. That's... kind of weird, right?
\- __Keukotis__

This mod is a fork of the original [Big Yards 3.11](https://steamcommunity.com/sharedfiles/filedetails/?id=2975469306) mod by [Keukotis](https://steamcommunity.com/id/Keukotis).

Instead of adding naval capacity to the Titan Assembly Yards and Colossal Assembly Yards, I've added shipyard capacity. The Titan Assembly Yards provide 2 Shipyard Capacity and the Colossal Assembly Yards provide 4 Shipyard Capacity.

### Compatibility

This mod overwrites the ``titan_yards`` and ``colossus_yards`` starbase buildings.

__You need one of the following DLC enabled for this mod to do anything:__

* [Apocalypse](https://store.steampowered.com/app/716670/Stellaris_Apocalypse/)
* [Federations](https://store.steampowered.com/app/1140001/Stellaris_Federations/)
* [Nemesis](https://store.steampowered.com/app/1522090/Stellaris_Nemesis/)

### Localization

This mod supports the following languages:

| __Language__  | __Contributor__ |
| ------------- | ------------- |
| English  | Seaswimmer  |
| Brazilian Portuguese  | FiniteSkylines  |
| French | Arkyd11 |

If you'd like to add more, reach out to me on [Discord](https://discord.com/invite/DCHChT5mM5) or submit a [pull request](www.coastalcommits.com/Seaswimmer/StellarisMods/pulls).

## [More Starbase Slots](https://steamcommunity.com/sharedfiles/filedetails/?id=2975397565)

This mod adds more Module/Building slots to Starbases (and Orbital Rings).

### Slot Numbers

#### Starbases

| __Level__  | __Module Slots__ | __Building Slots__ |
| :-------------: | :-------------: | :-------------: |
| Starport  | 5  | 2  |
| Starhold  | 10  | 4  |
| Star Fortress  | 15  | 6  |
| Citadel  | 25  | 10  |

#### Orbitial Rings

| __Level__  | __Module Slots__ | __Building Slots__ |
| :-------------: | :-------------: | :-------------: |
| Tier 1  | 5  | 4  |
| Tier 2  | 10  | 6  |
| Tier 3  | 15  | 8  |

### Compatibility

This mod overwrites all tiers of buildable starbases and orbital ring entries.

__This mod requires [UI Overhaul Dynamic](https://steamcommunity.com/sharedfiles/filedetails/?id=1623423360).__

### Credits

Original code is from [Double Starbase Slots](https://steamcommunity.com/sharedfiles/filedetails/?id=2960916028) by Willa Grey.

Original idea (and rough slot numbers) are from [More Starbase Slots for Expanded Starbases](https://steamcommunity.com/sharedfiles/filedetails/?id=2808547642) by [Skogen](https://steamcommunity.com/id/Skogen787).

## [No Menacing Ships](https://steamcommunity.com/sharedfiles/filedetails/?id=3268786433)

This mod makes the Menacing ships unobtainable and replaces all of their related perks from the __Become the Crisis__ crisis path.  
It also makes the Aetherophasic Engine produce alloys instead of minerals. Production rates have been nerfed to compensate.

The perks that would have unlocked the Menacing ships now reduce the alloy costs of their respective ship classes by __33%__. For the cruiser perk, I decided to also include Battleships.  
The perks that buff the Menacing ships now buff their respective normal ship classes instead.

### Compatibility

__You need the [Nemesis](https://store.steampowered.com/app/1522090/Stellaris_Nemesis/) DLC enabled for this mod to do anything!__

This mod overwrites the following files:

* `common/crisis_levels/00_crisis_levels.txt`
  * `crisis level 2`
  * `crisis level 3`
  * `crisis level 4`
  * `crisis level 5`
* `common/megastructures/12_crisis_sphere.txt`
  * `crisis_sphere_0`
  * `crisis_sphere_1`
  * `crisis_sphere_2`
  * `crisis_sphere_3`
  * `crisis_sphere_4`
* `common/ship_sizes/20_nemesis.txt`
  * `crisis_corvette`
  * `crisis_destroyer`
  * `crisis_cruiser`

### Localization

This mod supports the following languages:

| __Language__  | __Contributor__ |
| ------------- | ------------- |
| English  | Seaswimmer  |

*Some parts of this mod change stats of otherwise vanilla perks. In those cases, the original perk descriptions have been kept for unsupported languages.*  
If you'd like to add more, reach out to me on [Discord](https://discord.com/invite/DCHChT5mM5) or submit a [pull request](https://www.coastalcommits.com/Seaswimmer/StellarisMods/pulls).

___
[<img src="https://i.imgur.com/4Und3QN.png" alt="Member of the Stellaris Modding Den">](https://discord.gg/bHVez2C)
